package com.zsc.edu.dify.modules.system.repo;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zsc.edu.dify.modules.system.entity.RoleMenu;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author Yao
 */
public interface RoleMenuRepository extends BaseMapper<RoleMenu> {

    @Select("select * from sys_role_menu where role_id = #{id}")
    List<RoleMenu> findByRoleId(@Param("id") Long id);

    @Delete("delete from sys_role_menu where role_id = #{id}")
    int deleteByRoleId(@Param("id") Long id);
}
