package com.zsc.edu.dify.modules.system.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import jakarta.validation.constraints.NotBlank;
import java.util.Set;

/**
 * 角色Dto
 *
 * @author harry yao
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class RoleDto {

    /**
     * 名称
     */
    @NotBlank(message = "名称不能为空")
    public String name;

    /**
     * 启用状态
     */
    public Boolean enabled;

    /**
     * 备注
     */
    public String remark;

    /**
     * 权限列表
     */
    public Set<Long> menuIds;


}
